QsciLexerDiff Class Reference

`#include <qscilexerdiff.h>`

Inherits QsciLexer.

## Public Types

enum | { Default = 0 , Comment = 1 , Command = 2 , Header = 3 , Position = 4 , LineRemoved = 5 , LineAdded = 6 , LineChanged = 7 , AddingPatchAdded = 8 , RemovingPatchAdded = 9 , AddingPatchRemoved = 10 , RemovingPatchRemoved = 11 }

## Public Member Functions

| QsciLexerDiff (QObject *parent=0)
virtual | ~QsciLexerDiff ()
const char * | language () const
const char * | lexer () const
const char * | wordCharacters () const
QColor | defaultColor (int style) const
QString | description (int style) const
Public Member Functions inherited from QsciLexer
| QsciLexer (QObject *parent=0)
virtual | ~QsciLexer ()
virtual int | lexerId () const
QsciAbstractAPIs * | apis () const
virtual const char * | autoCompletionFillups () const
virtual QStringList | autoCompletionWordSeparators () const
int | autoIndentStyle ()
virtual const char * | blockEnd (int *style=0) const
virtual int | blockLookback () const
virtual const char * | blockStart (int *style=0) const
virtual const char * | blockStartKeyword (int *style=0) const
virtual int | braceStyle () const
virtual bool | caseSensitive () const
virtual QColor | color (int style) const
virtual bool | eolFill (int style) const
virtual QFont | font (int style) const
virtual int | indentationGuideView () const
virtual const char * | keywords (int set) const
virtual int | defaultStyle () const
virtual QColor | paper (int style) const
QColor | defaultColor () const
virtual bool | defaultEolFill (int style) const
QFont | defaultFont () const
virtual QFont | defaultFont (int style) const
QColor | defaultPaper () const
virtual QColor | defaultPaper (int style) const
QsciScintilla * | editor () const
void | setAPIs (QsciAbstractAPIs *apis)
void | setDefaultColor (const QColor &c)
void | setDefaultFont (const QFont &f)
void | setDefaultPaper (const QColor &c)
virtual void | setEditor (QsciScintilla *editor)
bool | readSettings (QSettings &qs, const char *prefix="/Scintilla")
virtual void | refreshProperties ()
virtual int | styleBitsNeeded () const
bool | writeSettings (QSettings &qs, const char *prefix="/Scintilla") const

## Additional Inherited Members

Public Slots inherited from QsciLexer
virtual void | setAutoIndentStyle (int autoindentstyle)
virtual void | setColor (const QColor &c, int style=-1)
virtual void | setEolFill (bool eoffill, int style=-1)
virtual void | setFont (const QFont &f, int style=-1)
virtual void | setPaper (const QColor &c, int style=-1)
Signals inherited from QsciLexer
void | colorChanged (const QColor &c, int style)
void | eolFillChanged (bool eolfilled, int style)
void | fontChanged (const QFont &f, int style)
void | paperChanged (const QColor &c, int style)
void | propertyChanged (const char *prop, const char *val)
Protected Member Functions inherited from QsciLexer
virtual bool | readProperties (QSettings &qs, const QString &prefix)
virtual bool | writeProperties (QSettings &qs, const QString &prefix) const
QByteArray | textAsBytes (const QString &text) const
QString | bytesAsText (const char *bytes, int size) const

## Detailed Description

The QsciLexerDiff class encapsulates the Scintilla Diff lexer.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

This enum defines the meanings of the different styles used by the Diff lexer.

Enumerator
Default | The default.
Comment | A comment.
Command | A command.
Header | A header.
Position | A position.
LineRemoved | A line removed.
LineAdded | A line added.
LineChanged | A line changed.
AddingPatchAdded | An adding patch added.
RemovingPatchAdded | A removing patch added.
AddingPatchRemoved | An adding patch added.
RemovingPatchRemoved | A removing patch added.

## Constructor & Destructor Documentation

## QsciLexerDiff()

QsciLexerDiff::QsciLexerDiff | ( | QObject * | parent = 0 | ) |

Construct a QsciLexerDiff with parent parent. parent is typically the QsciScintilla instance.

Referenced by description().

## Member Function Documentation

## language()

const char * QsciLexerDiff::language | ( |  | ) | const

virtual

Returns the name of the language.

Implements QsciLexer.

## lexer()

const char * QsciLexerDiff::lexer | ( |  | ) | const

virtual

Returns the name of the lexer. Some lexers support a number of languages.

Reimplemented from QsciLexer.

## wordCharacters()

const char * QsciLexerDiff::wordCharacters | ( |  | ) | const

virtual

Returns the string of characters that comprise a word.

Reimplemented from QsciLexer.

## defaultColor()

QColor QsciLexerDiff::defaultColor | ( | int | style | ) | const

virtual

Returns the foreground colour of the text for style number style.

Reimplemented from QsciLexer.

## description()

QString QsciLexerDiff::description | ( | int | style | ) | const

virtual

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Implements QsciLexer.

References QsciLexerDiff().